using Newtonsoft.Json;

namespace IntegraitonR3.Models
{
    /// <summary>
    /// R3 quality data model
    /// </summary>
    public class R3Qualitiy
    {
        [JsonProperty("Npp")]
        public int NumberParameter { get; set; }

        [JsonProperty("Iduquality")]
        public string Iduquality { get; set; }

        [JsonProperty("NameQuality")]
        public string NameQuality { get; set; }

        [JsonProperty("NameUnit")]
        public string NameUnit { get; set; }

        [JsonProperty("SampleValue")]
        public string SampleValue { get; set; }

        [JsonProperty("Iduunit")]
        public int UnitKSSSId { get; set; }

        [JsonProperty("Norm")]
        public string NormativeValue { get; set; }

        [JsonProperty("In_Ok")]
        public int CorrespondsNorm { get; set; }
    }
}
